> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get routefollower results > Operation is used to retrieve details of a route and it's components with given parameters. Required parameters are either 1. source_ids and object_name or 2. object_id and object_name/ctid. Example request url would be /routefollower/?object_id=2576290&object_name=terminal&over_cc=True, where object_id refers to the primary key (id) Terminal where route following starts from. You can also use thread or connector primary keys as source_ids, example: /routefollower/?source_ids=103920,103930&object_name=terminal&over_cc=True, where source_ids refer to ccp primary keys (id). Available from product version 3.0.24. ## OpenAPI ````json GET /routefollower/ { "info": { "contact": { "email": "keypro@keypro.fi", "name": "Keypro Oy", "url": "https://keypro.fi/" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "termsOfService": "https://www.keypro.fi/en/terms-of-service", "title": "KeyCom REST API", "version": "2.0.0" }, "tags": [ { "description": "Plan related operations.", "name": "Plan" }, { "description": "FreeArea related operations.", "name": "FreeArea" }, { "description": "FreeLine related operations.", "name": "FreeLine" }, { "description": "FreeText related operations.", "name": "FreeText" }, { "description": "FreeText component related operations.", "name": "FreeTextComponent" }, { "description": "Building address related operations.", "name": "Address" }, { "description": "Building apartments related operations.", "name": "Apartment" }, { "description": "Extra attributes related operations.", "name": "Extra Attribute" }, { "description": "Extra attribute values related operations.", "name": "Extra Value" }, { "description": "External documents related operations.", "name": "External Document" }, { "description": "Attached Documents related operations.", "name": "Attached Document" }, { "description": "Collection related operations.", "name": "Collections" }, { "description": "External source system derived apartment related operations.", "name": "Source system apartment" }, { "description": "External source system derived address related operations.", "name": "Source system address" }, { "description": "Address aliases related operations", "name": "Address alias" }, { "description": "TxtConstants related operations.", "name": "TxtConstant" }, { "description": "Point objects related operations.", "name": "Point" }, { "description": "Survey Constants related operations.", "name": "Survey Constant" }, { "description": "Survey Points related operations.", "name": "Survey Point" }, { "description": "Survey Line Strings related operations.", "name": "Survey Line String" }, { "description": "Template Catalog related operations.", "name": "Template Catalog" }, { "description": "Route following related operations.", "name": "Route Following" }, { "description": "Contact person related operations.", "name": "Contact Person" }, { "description": "Contact person connection related operations.", "name": "Contact Person Connection" }, { "description": "Telecom premises related operations.", "name": "Telecom premises" }, { "description": "Device related operations.", "name": "Device" }, { "description": "Device Group related operations.", "name": "Device Group" }, { "description": "Telecom Splice related operations.", "name": "Splice" }, { "description": "Telecom Conduit related operations.", "name": "Telecom Conduit" }, { "description": "Operations related to putting Telecom Cables and Ducts into Conduits.", "name": "Telecom Conduit Link" }, { "description": "Telecom Duct related operations.", "name": "Telecom Duct" }, { "description": "Operations related to putting Telecom Cables into Ducts.", "name": "Telecom Duct Link" }, { "description": "Operations related to connecting Conduits and endpoints.", "name": "Telecom Conduit Connection" }, { "description": "Operations related to connecting Cables and endpoints", "name": "Telecom Cable Connection" }, { "description": "Operations related to connecting and disconnecting telecom cable threads and device ports", "name": "Telecom Thread/Port Connection" }, { "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole.", "name": "Telecom Duct Connection" }, { "description": "Telecom Manhole related operations.", "name": "Manhole" }, { "description": "Telecom Cable related operations.", "name": "Cable" }, { "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted.", "name": "Cable Appendix" }, { "description": "Telecom Supercable related operations.", "name": "Supercable" }, { "description": "Cross connection point related operations.", "name": "Cross connection point" }, { "description": "Service Area related operations.", "name": "Service Area" }, { "description": "Exchange Area related operations.", "name": "Exchange Area" }, { "description": "Telecom Area related operations.", "name": "Telecom Area" }, { "description": "Routefollower related operations.", "name": "Routefollower" }, { "description": "Circuit related operations.", "name": "Circuit" }, { "description": "Circuit installation location related operations.", "name": "Circuit Location" }, { "description": "Circuit section related operations.", "name": "Circuit Section" }, { "description": "Circuit reservation data view and search operations.", "name": "Circuit Reservation Data" }, { "description": "Customer data related operations.", "name": "Customer" }, { "description": "Passed Services related operations.", "name": "Passed Services" }, { "description": "Circuit logical reservations related operations.", "name": "Circuit Connection" }, { "description": "Circuit physical reservations related operations.", "name": "Circuit Physical Reservation" }, { "description": "Operation used to create new connections.", "name": "Create connections" }, { "description": "Terminal types related operations.", "name": "Terminal type" }, { "description": "Logical connections related operations.", "name": "Logical connections" }, { "description": "Operations provided by micro services.", "name": "Circuit Services" }, { "description": "Contract related operations.", "name": "Contract" }, { "description": "Contract link related operations.", "name": "Contract Link" }, { "description": "Pole related operations.", "name": "Pole" }, { "description": "Circuit faults related operations.", "name": "Circuit faults" }, { "description": "Duct groups related operations.", "name": "Duct groups" }, { "description": "Duct group rows related operations.", "name": "Duct group rows" }, { "description": "Cable thread related operations.", "name": "Threads" }, { "description": "Task related operations.", "name": "Task" }, { "description": "Subregion related operations.", "name": "Subregion" }, { "description": "SAttribute related operations.", "name": "SAttribute" }, { "description": "Fault related operations.", "name": "Fault" }, { "description": "Maintenance history related operations.", "name": "Maintenance history" }, { "description": "Deflection related operations.", "name": "Deflection" }, { "description": "Fault Component related operations.", "name": "Fault Component" }, { "description": "Task comment related operations.", "name": "Task Comment" }, { "description": "FaultComponentFault related operations.", "name": "FaultComponentFault" } ], "paths": { "/routefollower/": { "get": { "description": "Operation is used to retrieve details of a route and it's components with given parameters.\nRequired parameters are either 1. source_ids and object_name or 2. object_id and object_name/ctid.\nExample request url would be /routefollower/?object_id=2576290&object_name=terminal&over_cc=True, where object_id\nrefers to the primary key (id) Terminal where route following starts from. You can also use thread or connector\nprimary keys as source_ids, example: /routefollower/?source_ids=103920,103930&object_name=terminal&over_cc=True, where\nsource_ids refer to ccp primary keys (id).\n\nAvailable from product version 3.0.24.\n", "operationId": "getRoutefollower", "parameters": [ { "description": "Primary key (id) of the object which contains the thread/connector to follow. For example id of a cable", "in": "query", "name": "object_id", "type": "integer" }, { "description": "Primary keys (id) of the threads or connectors to follow. Can be multiple, comma separated", "in": "query", "name": "source_ids", "required": "true", "type": "integer" }, { "description": "Name of the object type which contains the thread/connector to follow, lowercase. For example, \"cable\"", "enum": [ "cable", "terminal" ], "in": "query", "name": "object_name", "required": "true", "type": "string" }, { "description": "ContentType id for the cable or terminal used, use /api/v2/object-types/ endpoint to get these", "in": "query", "name": "ctid", "type": "integer" }, { "default": "-1", "description": "Logical direction to follow. 1 for ascending, 2 for descending. For both directions default is -1.", "enum": [ "1", "2", "-1" ], "in": "query", "name": "logical_dir", "type": "integer" }, { "default": "true", "description": "Follow over physical connections", "in": "query", "name": "over_physical", "type": "boolean" }, { "default": "false", "description": "Follow over cross connections", "in": "query", "name": "over_cc", "type": "boolean" }, { "default": "false", "description": "Follow over logical connections", "in": "query", "name": "over_log", "type": "boolean" }, { "default": "false", "description": "Show loops and/or coils", "in": "query", "name": "loops", "type": "boolean" }, { "description": "Numeric length to stop following route", "format": "float", "in": "query", "name": "distance", "type": "number" }, { "default": "1", "description": "Number of the thread/connector to start route following with", "in": "query", "name": "thread_start_num", "type": "integer" }, { "description": "Number of the thread/connector to end route following to", "in": "query", "name": "thread_end_num", "type": "integer" }, { "description": "Name of the device connector to follow", "in": "query", "name": "connector_name", "type": "string" }, { "default": "false", "description": "Stop to nearest cross connection point of the route", "in": "query", "name": "stop_nearest_ccp", "type": "boolean" }, { "description": "Coordinate system to transform location to.\n\n**Example:** `srs=epsg:4326`\n", "in": "query", "name": "srs", "type": "string" } ], "responses": { "200": { "description": "List of routes", "examples": { "application/json": { "Results": [ { "components": [ { "attenuation": "0.05", "connectionObject": { "connectionConstState": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "KN_CONST_STATE", "id": "6070", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/KN_CONST_STATE/", "logical_txt": "Suunniteltu", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Suunniteltu" }, "connectionNo": "1", "connectionOwner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "CABLE_OWNER", "id": "250770", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/CABLE_OWNER/", "logical_txt": "Keypro", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Keypro" }, "connectionType": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "THREAD_TYPE", "id": "413070", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/THREAD_TYPE/", "logical_txt": "SM 9/125", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "SM 9/125" }, "connectionUsageState": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": null, "groupname": null, "id": null, "list_url": null, "logical_txt": null, "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": null }, "id": "17637054", "type": "threaddetail", "url": null }, "detailConnection": { "detailConnId": null, "url": null }, "id": "1|root - 17637054", "location": "SRID=4326;LINESTRING Z (26.3676653649416863 60.4971100458688227 0.0000000000000000, 26.3680253882916169 60.4970638176940980 0.0000000000000000)", "relatedCircuits": [], "routeLength": "20.4", "routeObject": { "id": "3336230", "identification": "omcable", "length": "20.4", "owner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "CABLE_OWNER", "id": "250770", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/CABLE_OWNER/", "logical_txt": "Keypro", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Keypro" }, "subType": "https://keycom.example.com/api/v2/cabletypes/35370/", "type": "Kaapeli", "url": "https://keycom.example.com/api/v2/cables/3336230/", "usageState": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": null, "groupname": null, "id": null, "list_url": null, "logical_txt": null, "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": null } } }, { "attenuation": "0.02", "connectionObject": { "connectionConstState": null, "connectionNo": "1", "connectionOwner": null, "connectionType": null, "connectionUsageState": null, "id": "75129370", "type": "crossconnectionpoint", "url": null }, "detailConnection": { "detailConnId": "2473613", "url": null }, "id": "2473613 - 75129370", "location": "SRID=4326;POINT Z (26.3684861544175497 60.4970046522498563 0.0000000000000000)", "relatedCircuits": [ { "relatedCircuitId": "YHT-178760:test", "url": "https://keycom.example.com/api/v2/circuits/178760/" } ], "routeLength": "67.0", "routeObject": { "id": "2913570", "identification": "om3", "length": "46.6", "owner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "PREM_OWNER", "id": "550", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/PREM_OWNER/", "logical_txt": "Elisa", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Elisa" }, "subType": "https://keycom.example.com/api/v2/types/33250/", "type": "Tilaajapiste", "url": "https://keycom.example.com/api/v2/premises/2913570/", "usageState": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "PREM_STATE", "id": "14601", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/PREM_STATE/", "logical_txt": "Käytössä", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Käytössä" } } } ], "connectionIds": [ { "id": "17637054", "type": "threaddetail", "url": null }, { "id": "75128410", "type": "crossconnectionpoint", "url": null }, { "id": "75129370", "type": "crossconnectionpoint", "url": null }, { "id": "75129670", "type": "crossconnectionpoint", "url": null }, { "id": "75128710", "type": "crossconnectionpoint", "url": null }, { "id": "17637069", "type": "threaddetail", "url": null }, { "id": "1108330", "type": "splice", "url": null }, { "id": "18512402", "type": "threaddetail", "url": null } ], "endpoint": { "identification": "Kaapeli omcable", "location": "SRID=4326;LINESTRING Z (26.3680253882916169 60.4970638176940980 0.0000000000000000, 26.3684861544196600 60.4970046522067832 0.0000000000000000)", "objectId": "3480650", "thread": "16", "url_main": "https://keycom.example.com/api/v2/cables/3480650/", "url_sub": null } }, { "components": [ { "attenuation": null, "connectionObject": { "connectionConstState": null, "connectionNo": "", "connectionOwner": null, "connectionType": null, "connectionUsageState": null, "id": "1108330", "type": "splice", "url": null }, "detailConnection": { "detailConnId": "2587554", "url": null }, "id": "2587554 - 1108330", "location": "SRID=4326;POINT Z (26.3680253882958624 60.4970638176586135 0.0000000000000000)", "relatedCircuits": [], "routeLength": "20.4", "routeObject": { "id": "1108330", "identification": "43652", "length": "0.0", "owner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": null, "groupname": null, "id": null, "list_url": null, "logical_txt": null, "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": null }, "subType": null, "type": "Jatkos", "url": null, "usageState": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "SPLICE_STATE", "id": "15001", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/SPLICE_STATE/", "logical_txt": "Suunniteltu", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Suunniteltu" } } }, { "attenuation": null, "connectionObject": { "connectionConstState": null, "connectionNo": "1", "connectionOwner": null, "connectionType": null, "connectionUsageState": null, "id": "75129370", "type": "crossconnectionpoint", "url": null }, "detailConnection": { "detailConnId": "2587538", "url": null }, "id": "2587538 - 75129370", "location": "SRID=4326;POINT Z (26.3684861544175497 60.4970046522498563 0.0000000000000000)", "relatedCircuits": [ { "relatedCircuitId": "YHT-178760:test", "url": "https://keycom.example.com/api/v2/circuits/178760/" } ], "routeLength": "46.6", "routeObject": { "id": "2913570", "identification": "om3", "length": "0.0", "owner": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "PREM_OWNER", "id": "550", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/PREM_OWNER/", "logical_txt": "Elisa", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Elisa" }, "subType": "https://keycom.example.com/api/v2/types/33250/", "type": "Tilaajapiste", "url": "https://keycom.example.com/api/v2/premises/2913570/", "usageState": { "availability_end_ts": "2020-12-31T00:00:00", "availability_start_ts": "2020-01-01T00:00:00", "available": "true", "groupname": "PREM_STATE", "id": "14601", "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/PREM_STATE/", "logical_txt": "Käytössä", "num_value": "10.1", "num_value2": "20.2", "num_value3": "30.3", "num_value4": "40.4", "txt": "Käytössä" } } } ], "connectionIds": [ { "id": "17637054", "type": "threaddetail", "url": null }, { "id": "1108330", "type": "splice", "url": null }, { "id": "18512387", "type": "threaddetail", "url": null }, { "id": "75129370", "type": "crossconnectionpoint", "url": null }, { "id": "75128410", "type": "crossconnectionpoint", "url": null } ], "endpoint": { "identification": "Tilaajapiste om1 > om1-dev", "location": "SRID=4326;POINT Z (26.3676653649416863 60.4971100458688227 0.0000000000000000)", "objectId": "2913510", "thread": "1", "url_main": "https://keycom.example.com/api/v2/premises/2913510/", "url_sub": "https://keycom.example.com/api/v2/devices/2576290/" } } ] } }, "schema": { "items": { "properties": { "components": { "items": { "properties": { "attenuation": { "description": "Attenuation at this point of the route", "format": "float", "type": "number" }, "connectionObject": { "properties": { "connectionConstState": { "$ref": "#/definitions/ConstructionState", "description": "Construction state of the connection" }, "connectionNo": { "description": "Connector/thread number", "type": "integer" }, "connectionOwner": { "$ref": "#/definitions/ConnectionOwner", "description": "Owner of the connection" }, "connectionType": { "$ref": "#/definitions/ConnectionType", "description": "Type of the connection" }, "connectionUsageState": { "$ref": "#/definitions/ConnectionUsageState", "description": "Usage state of the connection" }, "id": { "description": "Primary key for a connection object of a route component", "type": "integer" }, "type": { "description": "Connector/thread type as text", "type": "string" }, "url": { "description": "Link to the API endpoint of a connection object or null if endpoint not active", "format": "url", "type": "string" } }, "type": "object" }, "detailConnection": { "properties": { "detailConnId": { "description": "Primary key of detail connection", "type": "integer" }, "url": { "description": "Link to Detail connection API endpoint or null if endpoint not active", "format": "url", "type": "string" } }, "type": "object" }, "id": { "description": "Identifier for the current route", "type": "string" }, "location": { "description": "Geographical location", "format": "ewkt", "type": "string" }, "relatedCircuits": { "items": { "properties": { "relatedCircuitId": { "description": "Identification of a circuit and it's section", "type": "string" }, "url": { "description": "Link to Circuit API or null if endpoint not active", "format": "url", "type": "string" } }, "type": "object" }, "type": "array" }, "routeLength": { "description": "Total length of the route", "format": "float", "type": "number" }, "routeObject": { "properties": { "id": { "description": "Primary key of the main route object", "type": "integer" }, "identification": { "description": "Name/identification for the main route object", "type": "string" }, "length": { "description": "Length of the object", "format": "float", "type": "number" }, "owner": { "description": "Owner of the main object", "properties": { "availability_end_ts": { "description": "Ending date time for availability", "format": "date-time", "type": "string" }, "availability_start_ts": { "description": "Beginning date time for availability", "format": "date-time", "type": "string" }, "available": { "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": "true", "type": "boolean" }, "groupname": { "description": "Group name of constant. Same as groupname parameter.", "enum": [ "CABLE_OWNER", "PREM_OWNER", "SPLICE_OWNER" ], "type": "string" }, "id": { "description": "Unique id of constant", "type": "integer" }, "list_url": { "description": "Link to corresponding owner endpoint", "format": "url", "type": "string" }, "logical_txt": { "description": "Logical textual value", "type": "string" }, "num_value": { "description": "Numeric value", "format": "float", "type": "number" }, "num_value2": { "description": "Numeric value 2", "format": "float", "type": "number" }, "num_value3": { "description": "Numeric value 3", "format": "float", "type": "number" }, "num_value4": { "description": "Numeric value 4", "format": "float", "type": "number" }, "txt": { "description": "Human readable textual representation (translated)", "type": "string" } }, "type": "object" }, "subType": { "description": "Link to the API endpoint of an object subtype, for example device type", "format": "url", "type": "string" }, "type": { "description": "Main object type of the route object (Cable, Premise...)", "enum": [ "Premise", "Cable", "Splice" ], "type": "string" }, "url": { "description": "Link to the API endpoint of a main route object or null if endpoint not active", "format": "url", "type": "string" }, "usageState": { "description": "Usage state of the main object", "properties": { "availability_end_ts": { "description": "Ending date time for availability", "format": "date-time", "type": "string" }, "availability_start_ts": { "description": "Beginning date time for availability", "format": "date-time", "type": "string" }, "available": { "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": "true", "type": "boolean" }, "groupname": { "description": "Group name of constant. Same as groupname parameter.", "enum": [ "CABLE_STATE", "PREM_STATE", "SPLICE_STATE" ], "type": "string" }, "id": { "description": "Unique id of constant", "type": "integer" }, "list_url": { "description": "Link to corresponding usageState endpoint", "format": "url", "type": "string" }, "logical_txt": { "description": "Logical textual value", "type": "string" }, "num_value": { "description": "Numeric value", "format": "float", "type": "number" }, "num_value2": { "description": "Numeric value 2", "format": "float", "type": "number" }, "num_value3": { "description": "Numeric value 3", "format": "float", "type": "number" }, "num_value4": { "description": "Numeric value 4", "format": "float", "type": "number" }, "txt": { "description": "Human readable textual representation (translated)", "type": "string" } }, "type": "object" } }, "type": "object" } }, "type": "object" }, "type": "array" }, "connectionIds": { "items": { "properties": { "id": { "description": "Primary key of a connection", "type": "integer" }, "type": { "description": "Type of a connection", "type": "string" }, "url": { "description": "Link to the API endpoint of a connection or null if endpoint not active", "format": "url", "type": "string" } }, "type": "object" }, "type": "array" }, "endpoint": { "properties": { "identification": { "description": "Name/identification of the endpoint object and it's device hierarchy if any", "type": "string" }, "location": { "description": "Geographical location", "format": "ewkt", "type": "string" }, "objectId": { "description": "Primary key of endpoint object", "type": "integer" }, "thread": { "description": "Name or number of the endpoint thread/connector", "type": "string" }, "url_main": { "description": "Link to the API endpoint of a route endpoint object or null if endpoint not active", "format": "url", "type": "string" }, "url_sub": { "description": "Link to the API endpoint of a route endpoint sub object (such as device) or null if endpoint not active", "format": "url", "type": "string" } }, "type": "object" } }, "type": "object" }, "type": "array" } }, "401": { "$ref": "#/responses/Http401" }, "404": { "$ref": "#/responses/Http404" } }, "security": [ { "Token": [] } ], "summary": "Get routefollower results", "tags": [ "Routefollower" ] } } } } ````